Package com.avaya.clientservices.media.audio

## Enum AudioCapturerMode

- java.lang.Object
- - java.lang.Enum<AudioCapturerMode>
  - - com.avaya.clientservices.media.audio.AudioCapturerMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AudioCapturerMode>`

      public enum AudioCapturerMode
      extends java.lang.Enum<AudioCapturerMode>

  Supported capture modes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Playout` | Data will be captured from a stream which will be played to a speaker
    `Record` | Data will be captured from a stream received from a microphone

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AudioCapturerMode` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static AudioCapturerMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AudioCapturerMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Record

          public static final AudioCapturerMode Record

      Data will be captured from a stream received from a microphone

    - #### Playout

          public static final AudioCapturerMode Playout

      Data will be captured from a stream which will be played to a speaker

  - ### Method Detail

    - #### values

          public static AudioCapturerMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AudioCapturerMode c : AudioCapturerMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AudioCapturerMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static AudioCapturerMode fromInt​(int v)

    - #### intValue

          public int intValue()